> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get packagings for a screening



## OpenAPI

````yaml get /screenings/{screeningPublicId}/packaging
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /screenings/{screeningPublicId}/packaging:
    get:
      tags:
        - Packagings
      summary: Get packagings for a screening
      operationId: get-screenings-{screeningPublicId}-packaging
      parameters:
        - in: path
          name: screeningPublicId
          required: true
          schema:
            type: string
          example: '123'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScreeningPackagingsApiOutput'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetScreeningPackagingsApiOutput:
      type: array
      items:
        type: object
        properties:
          publicId:
            type: string
            minLength: 16
            maxLength: 16
            examples:
              - screeningMaterial_xxxxxxxxxxxx
          label:
            type:
              - string
              - 'null'
          functionalUnitValue:
            type:
              - number
              - 'null'
          productionWaste:
            type:
              - number
              - 'null'
          recycleShare:
            type:
              - number
              - 'null'
          item:
            type: object
            properties:
              publicId:
                type: string
                minLength: 16
                maxLength: 16
                examples:
                  - item_xxxxxxxxxxxx
              category:
                type: object
                properties:
                  name:
                    type: string
                required:
                  - name
              functionalUnit:
                type: string
                enum:
                  - Centimeter
                  - CubicMeter
                  - Kilogram
                  - KilogramKilometer
                  - WattHour
                  - Watt
                  - Kilometer
                  - Liter
                  - Meter
                  - Minute
                  - Piece
                  - SquareCentimeter
                  - SquareMeter
                  - WashingCyclusHand
                  - WashingCyclusMachine
                  - DTex
                  - HourDay
              displayName:
                type:
                  - string
                  - 'null'
            required:
              - publicId
              - category
              - functionalUnit
              - displayName
          screeningMaterialMasterBox:
            type:
              - object
              - 'null'
            properties:
              publicId:
                type: string
                minLength: 16
                maxLength: 16
                examples:
                  - screeningMaterialMasterBox_xxxxxxxxxxxx
            required:
              - publicId
          screeningMaterialPackaging:
            type:
              - object
              - 'null'
            properties:
              publicId:
                type: string
                minLength: 16
                maxLength: 16
                examples:
                  - screeningMaterialPackaging_xxxxxxxxxxxx
              width:
                type:
                  - number
                  - 'null'
              height:
                type:
                  - number
                  - 'null'
              depth:
                type:
                  - number
                  - 'null'
              amount:
                type: number
              amountType:
                type: string
                enum:
                  - ProductsPerContainer
                  - PiecesPerProduct
            required:
              - publicId
              - width
              - height
              - depth
              - amount
              - amountType
          screeningMaterialMaterials:
            type: array
            items:
              type: object
              properties:
                publicId:
                  type: string
                  minLength: 16
                  maxLength: 16
                  examples:
                    - screeningMaterialMaterial_xxxxxxxxxxxx
                locationListItem:
                  type:
                    - object
                    - 'null'
                  properties:
                    publicId:
                      type: string
                      minLength: 16
                      maxLength: 16
                      examples:
                        - locationListItem_xxxxxxxxxxxx
                    name:
                      type: string
                  required:
                    - publicId
                    - name
                proportion:
                  type:
                    - number
                    - 'null'
                recycleShare:
                  type:
                    - number
                    - 'null'
              required:
                - publicId
                - locationListItem
                - proportion
                - recycleShare
          screeningMaterialProcesses:
            type: array
            items:
              type: object
              properties:
                publicId:
                  type: string
                  minLength: 16
                  maxLength: 16
                  examples:
                    - screeningMaterialProcess_xxxxxxxxxxxx
                proportion:
                  type:
                    - number
                    - 'null'
                productionWaste:
                  type:
                    - number
                    - 'null'
              required:
                - publicId
                - proportion
                - productionWaste
        required:
          - publicId
          - label
          - functionalUnitValue
          - productionWaste
          - recycleShare
          - item
          - screeningMaterialMasterBox
          - screeningMaterialPackaging
          - screeningMaterialMaterials
          - screeningMaterialProcesses
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````